맥에서 레일즈 버전을 업그레이드하기 위해 설치할 때와 동일하게 다음과 같이 할 수 있다.


sudo gem install rails


다음과 같은 에러가 발생할 수 있다.


ERROR:  While generating documentation for rails-4.0.2

... MESSAGE:   error generating /Users/izeye/.rvm/gems/ruby-1.9.3-p362/doc/rails-4.0.2/rdoc/guides/Rakefile.html: Error while evaluating /Users/izeye/.rvm/gems/ruby-1.9.3-p362/gems/rdoc-3.12.2/lib/rdoc/generator/template/darkfish/page.rhtml: undefined method `chomp' for nil:NilClass (RDoc::Error)

... RDOC args: --op /Users/izeye/.rvm/gems/ruby-1.9.3-p362/doc/rails-4.0.2/rdoc lib --title rails-4.0.2 Documentation --quiet


문서 생성 중 발생한 에러이다.


다음 명령으로 설치되었는지 확인한다.


rails -v


설치한 버전이 맞다면 성공.

Posted by izeye

댓글을 달아 주세요